Get custom voice
curl --request GET \
--url https://api.aireserve.com/v1/custom-voices/{voice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/custom-voices/{voice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/custom-voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voice_id": "<string>",
"name": "<string>",
"description": "<string>",
"gender": "<string>",
"accent": "<string>",
"age": "<string>",
"language": "<string>",
"use_case": "<string>",
"tone": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Audio
Get custom voice
Read the live upstream state of a custom voice owned by your organization. Returns 404 for unknown IDs and for IDs owned by other organizations — voice existence is never confirmed cross-tenant.
GET
/
v1
/
custom-voices
/
{voice_id}
Get custom voice
curl --request GET \
--url https://api.aireserve.com/v1/custom-voices/{voice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/custom-voices/{voice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/custom-voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voice_id": "<string>",
"name": "<string>",
"description": "<string>",
"gender": "<string>",
"accent": "<string>",
"age": "<string>",
"language": "<string>",
"use_case": "<string>",
"tone": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
xAI custom voice id
Required string length:
1 - 255Response
Custom voice object (live upstream state).
Allowlisted projection of an xAI custom voice object returned by create, read, and update operations. xAI-internal fields (team IDs, consent state) are excluded.